#!/usr/bin/perl -w
# LDAP add personal ou from /home
# This script adds a ou for each directory in /home.
#
# Script by tarjei@nu.no.
# Remember to remove ous like mailman etc.



$basedn = "ou=Shared_adresses,dc=domain,dc=com";
$binddn = "uid=root,ou=People,dc=domain,dc=com";
$passwd = "YOURPASSWORD";

use Getopt::Std;
my %Options;
$user = $ARGV[0];
print "Adding ou: ou=$user,$basedn";

$FILE="|/usr/bin/ldapadd -x $options -D '$binddn'  -w $passwd";

open FILE or die;

print FILE <<EOF;
dn: ou=$user,$basedn
objectclass: top
objectClass: organizationalUnit
ou: $user

EOF
close FILE;
exit 0;

